Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets whether the range selector is disabled.
<template> <JqxRangeSelector ref="myRangeSelector" :disabled="true" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
groupLabelsFormatFunction
|
Function
|
null
|
A custom callback function for rendering the major labels. Has two arguments - the value of the major label and the date object.
Note: major labels are applied only if the data type is date.
<template> <JqxRangeSelector ref="myRangeSelector" :showGroupLabels="true" :min="'June 15, 2013'" :max="'August 21, 2013'" :labelsFormat="'dd'" :markersFormat="'d'" :minorTicksInterval="'day'" :majorTicksInterval="'week'" :groupLabelsFormatFunction="groupLabelsFormatFunction" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, methods: { groupLabelsFormatFunction: function (value, date) { return "<span style='font-style: italic;'>" + value + "<span>";
|
height
|
Number | String
|
100
|
Sets or gets the range selector's height. Possible values:
- "Npx", where N is a number;
- numeric value in pixels.
<template> <JqxRangeSelector ref="myRangeSelector" :height="200" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
labelsFormat
|
String
|
null
|
Sets or gets the format of the labels. Possible number formats:
- 'd' - decimal numbers;
- 'f'- floating-point numbers;
- 'n' - integer numbers;
- 'c' - currency numbers;
- 'p' - percentage numbers.
Possible date formats:
Note: When the data type is date, the labelsFormat property must always be set.
- 'd' - the day of the month;
- 'dd' - the day of the month;
- 'ddd' - the abbreviated name of the day of the week;
- 'dddd' - the full name of the day of the week;
- 'h' - the hour, using a 12-hour clock from 1 to 12;
- 'hh' - the hour, using a 12-hour clock from 01 to 12;
- 'H' - the hour, using a 24-hour clock from 0 to 23;
- 'HH' - the hour, using a 24-hour clock from 00 to 23;
- 'm' - the minute, from 0 through 59;
- 'mm' - the minutes,from 00 though 59;
- 'M' - the month, from 1 through 12;
- 'MM' - the month, from 01 through 12;
- 'MMM' - the abbreviated name of the month;
- 'MMMM' - the full name of the month;
- 's' - the second, from 0 through 59;
- 'ss' - the second, from 00 through 59;
- 't' - the first character of the AM/PM designator;
- 'tt' - the AM/PM designator;
- 'y' - the year, from 0 to 99;
- 'yy' - the year, from 00 to 99;
- 'yyy' - the year, with a minimum of three digits;
- 'yyyy' - the year as a four-digit number.
<template> <JqxRangeSelector ref="myRangeSelector" :labelsFormat="'p'" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
labelsFormatFunction
|
Function
|
null
|
A custom callback function for rendering the labels. Has one argument - the value of the label.
<template> <JqxRangeSelector ref="myRangeSelector" :labelsFormatFunction="labelsFormatFunction" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, methods: { labelsFormatFunction: function (value) { return "<span style='color: red;'>" + value + "<span>";
|
labelsOnTicks
|
Boolean
|
true
|
<template> <JqxRangeSelector ref="myRangeSelector" :labelsOnTicks="false" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
markersFormat
|
String
|
null
|
Sets or gets the format of the markers. Possible number formats:
- 'd' - decimal numbers;
- 'f'- floating-point numbers;
- 'n' - integer numbers;
- 'c' - currency numbers;
- 'p' - percentage numbers.
Possible date formats:
Note: When the data type is date, the markersFormat property must always be set.
- 'd' - the day of the month;
- 'dd' - the day of the month;
- 'ddd' - the abbreviated name of the day of the week;
- 'dddd' - the full name of the day of the week;
- 'h' - the hour, using a 12-hour clock from 1 to 12;
- 'hh' - the hour, using a 12-hour clock from 01 to 12;
- 'H' - the hour, using a 24-hour clock from 0 to 23;
- 'HH' - the hour, using a 24-hour clock from 00 to 23;
- 'm' - the minute, from 0 through 59;
- 'mm' - the minutes,from 00 though 59;
- 'M' - the month, from 1 through 12;
- 'MM' - the month, from 01 through 12;
- 'MMM' - the abbreviated name of the month;
- 'MMMM' - the full name of the month;
- 's' - the second, from 0 through 59;
- 'ss' - the second, from 00 through 59;
- 't' - the first character of the AM/PM designator;
- 'tt' - the AM/PM designator;
- 'y' - the year, from 0 to 99;
- 'yy' - the year, from 00 to 99;
- 'yyy' - the year, with a minimum of three digits;
- 'yyyy' - the year as a four-digit number.
<template> <JqxRangeSelector ref="myRangeSelector" :markersFormat="'p'" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
markersFormatFunction
|
Function
|
null
|
<template> <JqxRangeSelector ref="myRangeSelector" :markersFormatFunction="markersFormatFunction" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, methods: { markersFormatFunction: function (value, position) { return "<span style='color: red;'>" + value + "<span>";
|
majorTicksInterval
|
Number | String | Object
|
10
|
Sets or gets the interval between major ticks. Possible values:
- number;
- object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks, months, years };
- one of the following strings: "millisecond", "second", "minute", "hour", "day", "week", "month", "year".
<template> <JqxRangeSelector ref="myRangeSelector" :majorTicksInterval="5" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
minorTicksInterval
|
Number | String | Object
|
5
|
Sets or gets the interval between minor ticks. Possible values:
- number;
- object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks, months, years };
- one of the following strings: "millisecond", "second", "minute", "hour", "day", "week", "month", "year".
<template> <JqxRangeSelector ref="myRangeSelector" :showMinorTicks="true" :minorTicksInterval="1" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
max
|
Number | String | Date
|
100
|
Sets or gets the maximum value of the range selector scale. Possible values:
- number;
- date object;
- date string.
<template> <JqxRangeSelector ref="myRangeSelector" :max="80" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
min
|
Number | String | Date
|
0
|
Sets or gets the minimum value of the range selector scale. Possible values:
- number;
- date object;
- date string.
<template> <JqxRangeSelector ref="myRangeSelector" :min="5" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
moveOnClick
|
Boolean
|
true
|
Sets or gets whether the position of the slider can be changed by clicking on the range selector.
<template> <JqxRangeSelector ref="myRangeSelector" :moveOnClick="false" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
padding
|
String | Number
|
"auto"
|
Sets or gets the range selector's padding. Possible values:
- "auto";
- "Npx", where N is a number;
- numeric value in pixels.
<template> <JqxRangeSelector ref="myRangeSelector" :padding="padding" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, data: function () { return { padding: '40px 40px 0px 40px'
|
range
|
Object
|
{ from: 0, to: Infinity, min: 0, max: Infinity }
|
An object containing the following properties:
- from - the start of the initially selected range.
Possible values: number, date object, date string;
- to - the end of the initially selected range;
Possible values: number, date object, date string;
- min - the minimum value of the selection.
Possible values: number, object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks } or one of the following strings: "millisecond", "second", "minute", "hour", "day", "week"
- max - the maximum value of the selection.
Possible values: number, object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks } or one of the following strings: "millisecond", "second", "minute", "hour", "day", "week"
<template> <JqxRangeSelector ref="myRangeSelector" :range='{ from: 10, to: 50 }' /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
resizable
|
Boolean
|
true
|
Sets or gets whether the range selector's slider can be resized.
Note: If resizable is set to false, the slider can only be resized programmatically with the method setValue .
<template> <JqxRangeSelector ref="myRangeSelector" :range='{ from: 10, to: 50 }' :resizable="false" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets whether the jqxRangeSelector's right-to-left support is enabled.
<template> <JqxRangeSelector ref="myRangeSelector" :rtl="true" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
showGroupLabels
|
Boolean
|
false
|
<template> <JqxRangeSelector ref="myRangeSelector" :showGroupLabels="true" :min="'June 15, 2013'" :max="'August 21, 2013'" :labelsFormat="'dd'" :markersFormat="'d'" :minorTicksInterval="'day'" :majorTicksInterval="'week'" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
showMinorTicks
|
Boolean
|
false
|
Sets or gets whether minor ticks will be displayed.
<template> <JqxRangeSelector ref="myRangeSelector" :showMinorTicks="true" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
snapToTicks
|
Boolean
|
true
|
Sets or gets whether the slider will snap to the major and minor ticks.
<template> <JqxRangeSelector ref="myRangeSelector" :snapToTicks="false" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
showMajorLabels
|
Boolean
|
false
|
Sets or gets whether the major labels will be shown.
Note: major labels are applied only if the data type is date.
<template> <JqxRangeSelector ref="myRangeSelector" :showMajorLabels="true" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
showMarkers
|
Boolean
|
true
|
Sets or gets whether the markers will be shown.
<template> <JqxRangeSelector ref="myRangeSelector" :showMarkers="false" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
theme
|
String
|
""
|
Sets the widget's theme.
- Include the theme's CSS file after jqx.base.css.
The following code example adds the 'material' theme. <link rel="stylesheet" href="../../jqwidgets/styles/jqx.base.css"type="text/css"
/> <link rel="stylesheet" href="../../jqwidgets/styles/jqx.material.css"
type="text/css" />
- Set the widget's theme property to 'material' when you initialize it.
$('#jqxRangeSelector').jqxRangeSelector({ theme: 'material' });
<template> <JqxRangeSelector ref="myRangeSelector" :theme="'material'" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
width
|
Number | String
|
400
|
Sets or gets the range selector's width. Possible values:
- "Npx", where N is a number;
- numeric value in pixels.
<template> <JqxRangeSelector ref="myRangeSelector" :width="500" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
|
|
change
|
Event
|
|
This event is triggered when the slected range is changed.
Code examples
Bind to the change event of jqxRangeSelector.
<template> <JqxRangeSelector ref="myRangeSelector" @change="onChange($event)" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, methods: { onChange: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Removes the range selector from the DOM.
<template> <JqxRangeSelector ref="myRangeSelector" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, mounted: function () { this.$refs.myRangeSelector.destroy();
|
getRange
|
None
|
Object
|
Gets the selected range. Returns an object with two fields.
Range object fields:
- from - the start of the selection - number or date object;
- to - the end of the selection - number or date object.
<template> <JqxRangeSelector ref="myRangeSelector" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, mounted: function () { const value = this.$refs.myRangeSelector.getRange();
|
render
|
None
|
None
|
Renders the range selector.
<template> <JqxRangeSelector ref="myRangeSelector" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, mounted: function () { this.$refs.myRangeSelector.render();
|
refresh
|
None
|
None
|
Refreshes the range selector.
<template> <JqxRangeSelector ref="myRangeSelector" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, mounted: function () { this.$refs.myRangeSelector.refresh();
|
setRange
|
from, to
|
None
|
Sets the selected range.
<template> <JqxRangeSelector ref="myRangeSelector" /> </template>
<script> import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue'; export default { components: { JqxRangeSelector }, mounted: function () { this.$refs.myRangeSelector.setRange(20,80);
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [disabled]="true"> </jqxRangeSelector> ` }) export class AppComponent {
|
showGroupLabels
|
Boolean
|
false
|
Sets or gets the showGroupLabels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [showGroupLabels]="true"> </jqxRangeSelector> ` }) export class AppComponent {
|
labelsOnTicks
|
Boolean
|
true
|
Sets or gets the labelsOnTicks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [labelsOnTicks]="false"> </jqxRangeSelector> ` }) export class AppComponent {
|
markersFormatFunction
|
Any
|
null
|
Sets or gets the markersFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [markersFormatFunction]="markersFormatFunction"> </jqxRangeSelector> ` }) export class AppComponent {
|
height
|
String | Number
|
100
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
labelsFormat
|
enum:RangeSelectorLabelsFormat
|
null
|
enum RangeSelectorLabelsFormat { d, f, n, c, p, dd, ddd, dddd, h, hh, H, HH, m, mm, M, MM, MMM, MMMM, s, ss, t, tt, y, yy, yyy, yyyy } Sets or gets the labelsFormat property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [labelsFormat]="'p'"> </jqxRangeSelector> ` }) export class AppComponent {
|
labelsFormatFunction
|
Any
|
null
|
Sets or gets the labelsFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [labelsFormatFunction]="labelsFormatFunction"> </jqxRangeSelector> ` }) export class AppComponent {
|
labelPrecision
|
Number
|
0
|
Sets or gets the labelPrecision property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [labelPrecision]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
moveOnClick
|
Boolean
|
true
|
Sets or gets the moveOnClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [moveOnClick]="false"> </jqxRangeSelector> ` }) export class AppComponent {
|
markerRenderer
|
Any
|
null
|
Sets or gets the markerRenderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [markerRenderer]="markerRenderer"> </jqxRangeSelector> ` }) export class AppComponent {
|
markerPrecision
|
Number
|
2
|
Sets or gets the markerPrecision property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [markerPrecision]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
majorLabelRenderer
|
Any
|
null
|
Sets or gets the majorLabelRenderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [majorLabelRenderer]="majorLabelRenderer"> </jqxRangeSelector> ` }) export class AppComponent {
|
markersFormat
|
enum:RangeSelectorLabelFsormat
|
null
|
Sets or gets the markersFormat property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [markersFormat]="'p'"> </jqxRangeSelector> ` }) export class AppComponent {
|
majorTicksInterval
|
String | Number
|
10
|
Sets or gets the majorTicksInterval property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
minorTicksInterval
|
Number
|
5
|
Sets or gets the minorTicksInterval property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
max
|
String | Number
|
100
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
min
|
String | Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
padding
|
String | Number
|
"auto"
|
Sets or gets the padding property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [padding]="padding"> </jqxRangeSelector> ` }) export class AppComponent {
|
range
|
RangeSelectorRange
|
{ from: 0, to: Infinity, min: 0, max: Infinity }
|
interface RangeSelectorRange { from?: String | Number; to?: String | Number; min?: String | Number; max?: String | Number; } Sets or gets the range property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
resizable
|
Boolean
|
true
|
Sets or gets the resizable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [resizable]="false"> </jqxRangeSelector> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [rtl]="true"> </jqxRangeSelector> ` }) export class AppComponent {
|
showMinorTicks
|
Boolean
|
false
|
Sets or gets the showMinorTicks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [showMinorTicks]="true"> </jqxRangeSelector> ` }) export class AppComponent {
|
snapToTicks
|
Boolean
|
true
|
Sets or gets the snapToTicks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [snapToTicks]="false"> </jqxRangeSelector> ` }) export class AppComponent {
|
showMajorLabels
|
Boolean
|
false
|
Sets or gets the showMajorLabels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [showMajorLabels]="true"> </jqxRangeSelector> ` }) export class AppComponent {
|
showMarkers
|
Boolean
|
true
|
Sets or gets the showMarkers property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [showMarkers]="false"> </jqxRangeSelector> ` }) export class AppComponent {
|
theme
|
String
|
""
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1" [theme]="'energyblue'"> </jqxRangeSelector> ` }) export class AppComponent {
|
width
|
String | Number
|
400
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the slected range is changed.
Code examples
Bind to the change event of jqxRangeSelector.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector(onChange)="Change($event)" [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRangeSelector') myRangeSelector: jqxRangeSelectorComponent; ngAfterViewInit(): void { this.myRangeSelector.destroy();
|
getRange
|
RangeSelectorGetRange
|
None
|
interface RangeSelectorGetRange { from?: String | Number; to?: String | Number; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRangeSelector') myRangeSelector: jqxRangeSelectorComponent; ngAfterViewInit(): void { let value = this.myRangeSelector.getRange();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRangeSelector') myRangeSelector: jqxRangeSelectorComponent; ngAfterViewInit(): void { this.myRangeSelector.render();
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRangeSelector') myRangeSelector: jqxRangeSelectorComponent; ngAfterViewInit(): void { this.myRangeSelector.refresh();
|
setRange
|
Void
|
from: Any, to: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxRangeSelector #myRangeSelector [width]="750" [height]="100" [min]="0" [max]="200" [range]='{ from: 10, to: 50 }' [majorTicksInterval]="10" [minorTicksInterval]="1"> </jqxRangeSelector> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myRangeSelector') myRangeSelector: jqxRangeSelectorComponent; ngAfterViewInit(): void { this.myRangeSelector.setRange(20,20);
|

Name | Type | Default |
disabled
|
boolean
|
false
|
Sets or gets whether the range selector is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
groupLabelsFormatFunction
|
(value: RangeSelectorGroupLabelsFormatFunction['value'], date: RangeSelectorGroupLabelsFormatFunction['date']) => string
|
null
|
Interface RangeSelectorGroupLabelsFormatFunction { value?: string; date?: object; }
A custom callback function for rendering the major labels. Has two arguments - the value of the major label and the date object.
Note: major labels are applied only if the data type is date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); constructor(props: {}) { super(props); this.state = { groupLabelsFormatFunction: (value: string, date: object): any => { return "<span style='font-style: italic;'>" + value + "<span>"; } } } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showGroupLabels={true} min={ 'June 15, 2013'} max={'August 21, 2013'} labelsFormat={'dd'} markersFormat={ 'd'} minorTicksInterval={'day'} majorTicksInterval={'week'} groupLabelsFormatFunction={this.state.groupLabelsFormatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
100
|
Sets or gets the range selector's height. Possible values:
- "Npx", where N is a number;
- numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labelsFormat
|
RangeSelectorLabelsFormat
|
null
|
RangeSelectorLabelsFormat: "d" | "f" | "n" | "c" | "p" | "dd" | "ddd" | "dddd" | "h" | "hh" | "H" | "HH" | "m" | "mm" | "M" | "MM" | "MMM" | "MMMM" | "s" | "ss" | "t" | "tt" | "y" | "yy" | "yyy" | "yyyy"
Sets or gets the format of the labels. Possible number formats:
- 'd' - decimal numbers;
- 'f'- floating-point numbers;
- 'n' - integer numbers;
- 'c' - currency numbers;
- 'p' - percentage numbers.
Possible date formats:
Note: When the data type is date, the labelsFormat property must always be set.
- 'd' - the day of the month;
- 'dd' - the day of the month;
- 'ddd' - the abbreviated name of the day of the week;
- 'dddd' - the full name of the day of the week;
- 'h' - the hour, using a 12-hour clock from 1 to 12;
- 'hh' - the hour, using a 12-hour clock from 01 to 12;
- 'H' - the hour, using a 24-hour clock from 0 to 23;
- 'HH' - the hour, using a 24-hour clock from 00 to 23;
- 'm' - the minute, from 0 through 59;
- 'mm' - the minutes,from 00 though 59;
- 'M' - the month, from 1 through 12;
- 'MM' - the month, from 01 through 12;
- 'MMM' - the abbreviated name of the month;
- 'MMMM' - the full name of the month;
- 's' - the second, from 0 through 59;
- 'ss' - the second, from 00 through 59;
- 't' - the first character of the AM/PM designator;
- 'tt' - the AM/PM designator;
- 'y' - the year, from 0 to 99;
- 'yy' - the year, from 00 to 99;
- 'yyy' - the year, with a minimum of three digits;
- 'yyyy' - the year as a four-digit number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} labelsFormat={ 'p'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labelsFormatFunction
|
(value: RangeSelectorLabelsFormatFunction['value']) => string
|
null
|
Interface RangeSelectorLabelsFormatFunction { value?: string; }
A custom callback function for rendering the labels. Has one argument - the value of the label.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); constructor(props: {}) { super(props); this.state = { labelsFormatFunction: (value: string): any => { return "<span style='color: red;'>" + value + "<span>"; } } } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} labelsFormatFunction={this.state.labelsFormatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labelsOnTicks
|
boolean
|
true
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} labelsOnTicks={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
markersFormat
|
RangeSelectorLabelsFormat
|
null
|
RangeSelectorLabelsFormat: "d" | "f" | "n" | "c" | "p" | "dd" | "ddd" | "dddd" | "h" | "hh" | "H" | "HH" | "m" | "mm" | "M" | "MM" | "MMM" | "MMMM" | "s" | "ss" | "t" | "tt" | "y" | "yy" | "yyy" | "yyyy"
Sets or gets the format of the markers. Possible number formats:
- 'd' - decimal numbers;
- 'f'- floating-point numbers;
- 'n' - integer numbers;
- 'c' - currency numbers;
- 'p' - percentage numbers.
Possible date formats:
Note: When the data type is date, the markersFormat property must always be set.
- 'd' - the day of the month;
- 'dd' - the day of the month;
- 'ddd' - the abbreviated name of the day of the week;
- 'dddd' - the full name of the day of the week;
- 'h' - the hour, using a 12-hour clock from 1 to 12;
- 'hh' - the hour, using a 12-hour clock from 01 to 12;
- 'H' - the hour, using a 24-hour clock from 0 to 23;
- 'HH' - the hour, using a 24-hour clock from 00 to 23;
- 'm' - the minute, from 0 through 59;
- 'mm' - the minutes,from 00 though 59;
- 'M' - the month, from 1 through 12;
- 'MM' - the month, from 01 through 12;
- 'MMM' - the abbreviated name of the month;
- 'MMMM' - the full name of the month;
- 's' - the second, from 0 through 59;
- 'ss' - the second, from 00 through 59;
- 't' - the first character of the AM/PM designator;
- 'tt' - the AM/PM designator;
- 'y' - the year, from 0 to 99;
- 'yy' - the year, from 00 to 99;
- 'yyy' - the year, with a minimum of three digits;
- 'yyyy' - the year as a four-digit number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} markersFormat={ 'p'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
markersFormatFunction
|
(value: RangeSelectorMarkersFormatFunction['value'], position: RangeSelectorMarkersFormatFunction['position']) => string
|
null
|
Interface RangeSelectorMarkersFormatFunction { value?: string; position?: string; }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); constructor(props: {}) { super(props); this.state = { markersFormatFunction: (value: string, position: string): any => { return "<span style='color: red;'>" + value + "<span>"; } } } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} markersFormatFunction={this.state.markersFormatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
majorTicksInterval
|
any
|
10
|
Sets or gets the interval between major ticks. Possible values:
- number;
- object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks, months, years };
- one of the following strings: "millisecond", "second", "minute", "hour", "day", "week", "month", "year".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} majorTicksInterval={5} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minorTicksInterval
|
any
|
5
|
Sets or gets the interval between minor ticks. Possible values:
- number;
- object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks, months, years };
- one of the following strings: "millisecond", "second", "minute", "hour", "day", "week", "month", "year".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showMinorTicks={true} minorTicksInterval={1} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
any
|
100
|
Sets or gets the maximum value of the range selector scale. Possible values:
- number;
- date object;
- date string.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} max={80} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
any
|
0
|
Sets or gets the minimum value of the range selector scale. Possible values:
- number;
- date object;
- date string.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} min={5} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
moveOnClick
|
boolean
|
true
|
Sets or gets whether the position of the slider can be changed by clicking on the range selector.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} moveOnClick={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
padding
|
number | string
|
"auto"
|
Sets or gets the range selector's padding. Possible values:
- "auto";
- "Npx", where N is a number;
- numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); constructor(props: {}) { super(props); this.state = { padding: '40px 40px 0px 40px' } } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} padding={this.state.padding} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
range
|
RangeSelectorRange
|
{ from: 0, to: Infinity, min: 0, max: Infinity }
|
Interface RangeSelectorRange { from?: number | string; to?: number | string; min?: number | string; max?: number | string; }
An object containing the following properties:
- from - the start of the initially selected range.
Possible values: number, date object, date string;
- to - the end of the initially selected range;
Possible values: number, date object, date string;
- min - the minimum value of the selection.
Possible values: number, object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks } or one of the following strings: "millisecond", "second", "minute", "hour", "day", "week"
- max - the maximum value of the selection.
Possible values: number, object with one of the properties: { milliseconds, seconds, minutes, hours, days, weeks } or one of the following strings: "millisecond", "second", "minute", "hour", "day", "week"
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} range={{ from: 10, to: 50 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resizable
|
boolean
|
true
|
Sets or gets whether the range selector's slider can be resized.
Note: If resizable is set to false, the slider can only be resized programmatically with the method setValue .
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} range={{ from: 10, to: 50 }} resizable={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets whether the jqxRangeSelector's right-to-left support is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showGroupLabels
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showGroupLabels={true} min={ 'June 15, 2013'} max={'August 21, 2013'} labelsFormat={'dd'} markersFormat={ 'd'} minorTicksInterval={'day'} majorTicksInterval={'week'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showMinorTicks
|
boolean
|
false
|
Sets or gets whether minor ticks will be displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showMinorTicks={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
snapToTicks
|
boolean
|
true
|
Sets or gets whether the slider will snap to the major and minor ticks.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} snapToTicks={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showMajorLabels
|
boolean
|
false
|
Sets or gets whether the major labels will be shown.
Note: major labels are applied only if the data type is date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showMajorLabels={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showMarkers
|
boolean
|
true
|
Sets or gets whether the markers will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} showMarkers={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
""
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
400
|
Sets or gets the range selector's width. Possible values:
- "Npx", where N is a number;
- numeric value in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} width={500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the slected range is changed.
Code examples
Bind to the change event of jqxRangeSelector.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} onChange={this.onChange} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Removes the range selector from the DOM.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public componentDidMount(): void { this.myRangeSelector.current!.destroy(); } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getRange
|
None
|
|
Gets the selected range. Returns an object with two fields.
Range object fields:
- from - the start of the selection - number or date object;
- to - the end of the selection - number or date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public componentDidMount(): void { this.myRangeSelector.current!.getRange(); } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the range selector.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public componentDidMount(): void { this.myRangeSelector.current!.render(); } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the range selector.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public componentDidMount(): void { this.myRangeSelector.current!.refresh(); } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setRange
|
from, to
|
|
Sets the selected range.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector'; class App extends React.PureComponent<{}, IRangeSelectorProps> { private myRangeSelector = React.createRef<JqxRangeSelector>(); public componentDidMount(): void { this.myRangeSelector.current!.setRange(20,80); } public render() { return ( <JqxRangeSelector ref={this.myRangeSelector} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|